ChangeSet 1.1276, 2003/12/11 11:51:17-08:00, stephane.galles@free.fr

[PATCH] USB storage: patch for Kyocera S5 camera

I've seen some entries in 2.4.22 and 2.6.0 unusual_devs.h
for Kyocera Finecam S3 et S4 cameras and I own a Finecam S5
that does not work out of the box either
(here is the beast : http://www.yashica.com/digital/finecams5/finecams5.html)

so I found the unusual_devs.h entry and submitted it some month
ago at http://www.qbik.ch/usb/devices/showdev.php?id=1626
for the 2.4 kernels

I thought It would be nice to have the whole Finecam family
in Unusual_devs.h for 2.6.0

The patch for the 2.6.0-test9 is attached with this mail

It differs from the entry I submitted at www.qbik.ch
as I used the new SC/PR_DEVICE flags and got rid of the
IGNORE_SER flag from 2.4

Do you want a patch for 2.4 too ? If so, I should test my
old 2.4 entry with the lastest 2.4 Kernels, coz on a daily
basis I use a 2.4.20, which is rather old. Moreover, I could
used the SC/PR_DEVICE flags too for 2.4.22 (keeping the IGNORE_SER flag
though)


By the way, several entries with the running patch :

/proc/bus/usb/devices :

T:  Bus=03 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0482 ProdID=0103 Rev= 1.00
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  2mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
I:  If#= 0 Alt= 1 #EPs= 3 Cls=ff(vend.) Sub=06 Prot=50 Driver=usb-storage
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=83(I) Atr=03(Int.) MxPS=   8 Ivl=32ms


 drivers/usb/storage/unusual_devs.h |    6 ++++++
 1 files changed, 6 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri Dec 12 15:07:26 2003
+++ b/drivers/usb/storage/unusual_devs.h	Fri Dec 12 15:07:26 2003
@@ -102,6 +102,12 @@
 		"Finecam S4",
 		US_SC_8070, US_PR_CB, NULL, US_FL_FIX_INQUIRY),
 
+/* Patch submitted by Stephane Galles <stephane.galles@free.fr> */
+UNUSUAL_DEV(  0x0482, 0x0103, 0x0100, 0x0100,
+		"Kyocera",
+		"Finecam S5",
+		US_SC_DEVICE, US_PR_DEVICE, NULL, US_FL_FIX_INQUIRY),
+
 /* Reported by Paul Stewart <stewart@wetlogic.net>
  * This entry is needed because the device reports Sub=ff */
 UNUSUAL_DEV(  0x04a4, 0x0004, 0x0001, 0x0001,
